import * as React from 'react';
export interface AttachmentProps {
    messageId: string;
    messageIdx: number;
    attachmentId: number;
    openMenuUpwards?: boolean;
    ephemeral?: boolean;
    attachment: any;
    unfurls?: any;
    parser: any;
    showAttachment?: boolean;
}
declare class Attachment extends React.Component {
    state: {
        imageCaretOpen: boolean;
    };
    _attachment?: any;
    props: AttachmentProps;
    constructor(props: any);
    render(): JSX.Element | null;
    toggleImageCaret(e: any): void;
    isAttachmentEmpty(): boolean;
}
export default Attachment;
